petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSSSPSetType

set the SSP time integration scheme to use

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSSPSetType(TS ts,TSSSPType ssptype)

Logically Collective

### Input Arguments

ts - time stepping object ssptype - type of scheme to use

### Options Database Keys

-ts_ssp_type <rks2>: Type of SSP method (one of) rks2 rks3 rk104 -ts_ssp_nstages <5>: Number of stages

### See Also

TSSSP, TSSSPGetType(), TSSSPSetNumStages(), TSSSPRKS2, TSSSPRKS3, TSSSPRK104

### Level

beginner

### Location

src/ts/impls/explicit/ssp/ssp.c

### Implementations

TSSSPSetType_SSP in src/ts/impls/explicit/ssp/ssp.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages